import { jsx } from "react/jsx-runtime";
import { CarBattery as CarBattery$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CarBattery = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CarBattery", ...props, children: /* @__PURE__ */ jsx(CarBattery$1, { weight: variant }) });
  }
);
CarBattery.displayName = "CarBattery";
Object.assign(CarBattery, { isGdsIcon: true });
export {
  CarBattery
};
